<ion-view title="edit Sponsor" ng-controller="sponsorsEditCtrl as ctrl">
	<div class="container" style="padding-top: 50px">

		<div class="row">
			<div class="col-sm-12">
				<h4>General Info:</h4>
				<hr>
				<form class="form-horizontal">

					<div class="form-group">
						<label class="col-sm-2 control-label">Company Name:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.company"
								   placeholder="Partnership">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">WebSite Url:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.website"
								   placeholder="http://">
						</div>
					</div>

					<!-- upload image -->
					<div class="form-group">
						<label class="col-sm-2 control-label">Logo:</label>
						<div class="col-sm-10">
							<p>Dimensions 250 x 250 pixels</p>
							<div class="row">
								<div class="col-sm-2" ng-if="ctrl.sponsor.logo">
									<img ng-src="{{ctrl.sponsor.logo}}" class="img-thumbnail">
									<br><br>
								</div>
							</div>

							<button type="button" class="btn btn-success"
									ngf-select ngf-change="ctrl.image($files, 'logo')"
									ngf-multiple="false">
								Upload Image
							</button>
							<button type="button" class="btn btn-danger"
									ng-if="ctrl.sponsor.logo"
									ng-click="ctrl.deleteImg('logo')">
								Delete Image
							</button>
						</div>
					</div>

					<!-- upload image -->
					<div class="form-group">
						<label class="col-sm-2 control-label">Banner:</label>
						<div class="col-sm-10">
							<p>Dimensions 320 x 50 or 640 x 100 pixels</p>
							<div class="row">
								<div class="col-sm-2" ng-if="ctrl.sponsor.banner">
									<img ng-src="{{ctrl.sponsor.banner}}" class="img-thumbnail" >
									<br><br>
								</div>
							</div>

							<button type="button" class="btn btn-success"
											ngf-select ngf-change="ctrl.image($files, 'banner')"
											ngf-multiple="false">
								Upload Image
							</button>
							<button type="button" class="btn btn-danger"
											ng-if="ctrl.sponsor.banner"
											ng-click="ctrl.deleteImg('banner')">
								Delete Image
							</button>
						</div>
					</div>

					<!-- textarea -->
					<div class="form-group">
						<label class="col-sm-2 control-label">Description:</label>
						<div class="col-sm-10">
							<text-angular ng-model="ctrl.sponsor.description"></text-angular>
						</div>
					</div>

					<!-- social -->
					<div class="form-group">
						<label class="col-sm-2 control-label">LinkedIn:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.linkedin"
								   placeholder="linkkedin url">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Twitter:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.twitter"
								   placeholder="@profile">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Facebook:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.facebook"
								   placeholder="facebook url">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Youtube:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.youtube"
								   placeholder="youtube channel url">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Events:</label>
						<div class="col-sm-10">
							<p>Select in which events this sponsor most be show:</p>
							<div class="row" ng-repeat="event in ctrl.events">
								<div class="col-sm-12">
									<label>
										<input type="checkbox" ng-model="ctrl.sponsor.events[event.$id]" ng-false-value="false">
										{{event.name}}
									</label>
								</div>
							</div>
						</div>
					</div>

					<!-- submit form -->
					<div class="form-group">
						<div class="col-sm-offset-2 col-sm-10">
							<hr>
							<button type="button" class="btn btn-success" ng-click="ctrl.saveSponsor()">
								Update
							</button>
						</div>
					</div>

				</form>
			</div><!--- /.col -->
		</div><!-- /.row -->

	</div><!-- /.container -->
</ion-view>
